API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

POST
/applications/{uuid}/tags

Add tag(s) to an application by UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the application.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

tag_name?string

The tag name (min 2 characters). Required if tag_names is not provided.

tag_names?array<string>

Array of tag names (each min 2 characters). Required if tag_name is not provided.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/applications/string/tags" \  -H "Content-Type: application/json" \  -d '{}'
[  {    "uuid": "string",    "name": "string",    "created_at": "string",    "updated_at": "string"  }]
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}